Bug 1363710 (CVE-2016-6301) - CVE-2016-6301 busybox: NTP server denial of service flaw
Summary: CVE-2016-6301 busybox: NTP server denial of service flaw
Status: CLOSED WONTFIX
Alias: CVE-2016-6301
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160803,repor...
Keywords: Security
Depends On: 1363711
Blocks: 1363714
TreeView+ depends on / blocked
 
Reported: 2016-08-03 12:11 UTC by Martin Prpič
Modified: 2019-06-08 21:23 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-05 09:05:24 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-03 12:11:59 UTC
The busybox NTP implementation doesn't check the NTP mode of packets received on the server port and responds to any packet with the right size. This includes responses from another NTP server. An attacker can send a packet with a spoofed source address in order to create an infinite loop of responses between two busybox NTP servers. Adding more packets to the loop increases the traffic between the servers until one of them has a fully loaded CPU and/or network.

It seems this bug was actually inherited from openntpd, on which the busybox implementation was based on. In openntpd it was fixed in:

https://github.com/openntpd-portable/openntpd-openbsd/commit/28a2f904aafbf4c209fe6fa04ffb9308740fd78a

Busybox upstream patch:

https://git.busybox.net/busybox/commit/?id=150dc7a2b483b8338a3e185c478b4b23ee884e71

Comment 1 Martin Prpič 2016-08-03 12:12:08 UTC
Acknowledgments:

Name: Miroslav Lichvar (Red Hat)

Comment 2 Martin Prpič 2016-08-03 12:12:22 UTC
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 1363711]


Note You need to log in before you can comment on or make changes to this bug.